package com.nickman.jms.heartbeats;

/**
 * Title:        Heartbeat Phase 2
 * Description:  Heartbeat Implementation Using Pub/Sub JMS.
 * Copyright:    Copyright (c) 2002
 * Company:      finetix Inc.
 * @author Nicholas Whitehead
 * @version 1.0
 */

public interface IHeartbeatPublisherListener extends IHeartbeatEventListener{
  public void notifyHeartbeatPublisherStopped();
  public void notifyHeartbeatPublisherStarted();
  public void notifyHeartbeatPublisherHeartbeatSent();
  public void notifyHeartbeatPublisherException(Exception erx, HeartbeatBase heartbeat);
}