package com.nickman.jms.heartbeats.exception;

/**
 * <p>Title: Heartbeat Phase 2</p>
 * <p>Description: Heartbeat Implementation Using Pub/Sub JMS.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: finetix Inc.</p>
 * @author Nicholas Whitehead
 * @version 1.0
 */

public class PublisherDependencyException extends Exception {
  Exception e = null;
  public PublisherDependencyException() {
    super();
  }
  public PublisherDependencyException(String message) {
    super(message);
  }
  public PublisherDependencyException(Exception erx) {
    super(erx.getMessage());
    e = erx;
  }
  public Exception getNestedException() {
    return e;
  }

}